Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.bcp.protocol.v1
Class ServiceType

    java.lang.Object
      be.fgov.ehealth.bcp.protocol.v1.ServiceType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Service

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:25:28+02:00",
               comments="JAXB RI v2.2.11")
    public class ServiceType

extends Object
implements Serializable

Java class for ServiceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ServiceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Endpoint" maxOccurs="unbounded">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>anyURI">
                     <attribute name="Status" use="required" type="{urn:be:fgov:ehealth:bcp:protocol:v1}StatusType" />
                     <attribute name="Order" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="Id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ServiceType()`

Method Summary
`List<Endpoint>` | `getEndpoints()` Gets the value of the endpoints property.
`String` | `getId()` Gets the value of the id property.
`String` | `getName()` Gets the value of the name property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceType

    public ServiceType()

Method Detail

### getEndpoints

    public List<Endpoint> getEndpoints()

  Gets the value of the endpoints property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the endpoints property.

  For example, to add a new item, do as follows:

          getEndpoints().add(newItem);

  Objects of the following type(s) are allowed in the list `Endpoint`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.